using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("租户域名表")]
    [Redis("ID", "ID", "DOMAIN_NAME")]
    public class T_OP_TENANT_DOMAIN: MesEntityBase
    {      

        [Description("域名")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string DOMAIN_NAME { get; set; }

        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string NAME { get; set; }

        [Description("备注")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string REMARK { get; set; }

        [Description("租户ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Tenant", "Nav_Domains")]
        public Guid TENANT_ID { get; set; }

        [Description("导航：租户表")]
        public virtual T_OP_TENANT Nav_Tenant { get; set; }
    }
}
